import Link from "next/link"
import { Button } from "@/components/ui/button"
import { AlertTriangle } from "lucide-react"

export default function PaymentCancelPage() {
  return (
    <div className="min-h-screen bg-gray-50 flex flex-col items-center justify-center p-4">
      <div className="max-w-md w-full bg-white rounded-lg shadow-lg p-8">
        <div className="text-center">
          <div className="w-16 h-16 bg-yellow-100 rounded-full flex items-center justify-center mx-auto mb-4">
            <AlertTriangle className="h-10 w-10 text-yellow-500" />
          </div>
          <h2 className="text-2xl font-bold mb-2">Paiement annulé</h2>
          <p className="text-gray-600 mb-6">
            Votre paiement a été annulé. Aucun montant n'a été débité de votre compte.
          </p>
          <div className="space-y-3">
            <Button asChild className="w-full bg-route-blue hover:bg-route-blue/90">
              <Link href="/subscription">Réessayer</Link>
            </Button>
            <Button asChild variant="outline" className="w-full">
              <Link href="/">Retour à l'accueil</Link>
            </Button>
          </div>
        </div>
      </div>
    </div>
  )
}
